The conduit-audio-lame package

[Tags:bsd3, library]

A simple binding to the LAME MP3 library for use with conduit-audio, to save audio streams as MP3 files.

Requires the LAME library. On Ubuntu, apt-get install libmp3lame-dev; on Mac with Homebrew, brew install lame.

LAME is LGPL licensed, so you may dynamically link to it from a closed-source program.

Properties

Versions 0.1, 0.1.0.1, 0.1.1, 0.1.2
Dependencies base (>=4.6 && <4.10), bytestring, conduit, conduit-audio (>=0.1 && <0.3), resourcet, transformers (>=0.3 && <0.6), vector [details]
License BSD3
Author Michael Tolly
Maintainer miketolly@gmail.com
Category Sound
Home page http://github.com/mtolly/conduit-audio
Bug tracker http://github.com/mtolly/conduit-audio/issues
Source repository head: git clone http://github.com/mtolly/conduit-audio
Uploaded Thu May 12 05:19:03 UTC 2016 by mtolly
Updated Fri Jun 17 23:20:29 UTC 2016 by mtolly to revision 1
Distributions NixOS:0.1.2
Downloads 392 total (7 in the last 30 days)
Votes
0 []
Status Docs not available [build log]
All reported builds failed as of 2016-11-11 [all 4 reports]
Hackage Matrix CI

Modules

  • Data
    • Conduit
      • Audio
        • Data.Conduit.Audio.LAME
          • Data.Conduit.Audio.LAME.Binding

Downloads

Maintainer's Corner

For package maintainers and hackage trustees